<!doctype html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
    <head>

        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!--<![endif]-->
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">


    </head>
    <body style="background: #ffffff;">


        <div id="lppresults">


            <h1>PODit Invoice</h1>
            <h2>Date:  {{payment.created.strftime('%c')}} </h2>

            <div style="float:right;">
                <h2>From:</h2>
                <h3>PODit</h3>
                <h3>Address:  22 Planken St, Stellenbosch</h3>
            </div>

            <h2>For:</h2>
            <h3>Name: {{user.name}}</h3>
            <h3>Tel: {{user.cell_no}}</h3>
            <h3>Email: {{user.email}}</h3>
            <h3>Address: {{user.address.full_name}}</h3>
            <h3>Status:PAID</h3>
            <h3>Payment type:{{type}}</h3>
            <h3>Payment ID:{{payment_id}}</h3>
 
       
                <h2> Charges </h2>
                {% for c in charges %}
                   
                        <p>Created: {{c.created}}</p>
                        <p>Details: {{c.details}}</p>
                        <p>Amount: R{{c.amount}}</p>
                    
                {% endfor %}
           
            <h2>Total:    R {{total}} </h2> 
           
        </div>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>

        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.4/jspdf.min.js"></script>

        <script type="text/javascript">

            var doc = new jsPDF();


            $( document ).ready(function() {

                doc.fromHTML($('#lppresults')[0], 10, 10, {
                    width: 90
                }, function() {
                   
                    
                    doc.save('Invoice{{user.email}}.pdf');
                    window.location.href = "/users/{{user.key.id()}}"

                });

            });

        </script>
    </body>
</html>